## zbar 0.10%2Bdoc

=== debian/changelog ===
zbar (0.10+doc-10.1build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:13:54 +0000

zbar (0.10+doc-10.1build1) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:37:00 +0100

zbar (0.10+doc-10.1) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.

  [ Francois Gouget ]
  * Add missing versioned Build-Depends for automake
  * Convert most binary packages to Multi-Arch (Closes: #777202)
  * Switch to 3.0 (quilt) format, in order to use dh-exec

  [ Thorsten Glaser ]
  * Add missing versioned Build-Depends for autoconf
  * Build-Depends: dh-python (as requested by dh_python)
  * Make zbar-dbg M-A: same (as pointed out by lintian)
  * Add missing required build-{arch,indep} targets (lintian)
  * Mention Perl module name in long package description (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 02 Jan 2017 17:16:01 +0100

zbar (0.10+doc-10) unstable; urgency=medium

  * [d3eba6e2] Add support for Python GIL / asynchronous scanning.
    Thanks to Jonathan McDowell (Closes: #766089)
  * [fd5fd7f1] Fix typo in package description.
    Thanks to Pascal De Vuyst (Closes: #697516, #715178)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 20 Oct 2014 22:04:56 +0200

zbar (0.10+doc-9) unstable; urgency=low

  * [2c641cc9] Fix configure.ac to build with newer autotools.
    Thanks to Lucas Nussbaum (Closes: #713332)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 18 Aug 2013 12:26:59 +0200

zbar (0.10+doc-8) unstable; urgency=low

  * [5c38da40] Use [linux-any] instead of [!kfreebsd-*].
    Thanks to Robert Millan (Closes: #634774)
  * [1f15f52e] Add sentinel to PyGetSetDef imagescanner_getset[].
    Ensure that the loop is terminated which reads the
    imagescanner_getset[] array on import - otherwise we'll run into
    a segfault, at least on arm.
    Thanks to Anton Gladky and Peter Green (Closes: #702499)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 17 Mar 2013 22:46:47 +0100

zbar (0.10+doc-7) unstable; urgency=low

  * [48425c37] Ack'ing NMU.
    Thanks to Mehdi Dogguy (Closes: #625584)
  * [ce18efe2] Don't install .la files. (Closes: #633271)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 10 Jul 2011 14:17:11 +0200

zbar (0.10+doc-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * libzbar-dev depend on libmagick++-dev instead of libmagick++9-dev.
    (Closes: #625584).

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 26 Jun 2011 15:04:36 +0200

zbar (0.10+doc-6) unstable; urgency=low

  * [3b98a217] Require v4l as build-dependency on linux only.
  * [5f635649] Migrate to dh_python2 instead of python-support.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 27 Apr 2011 22:34:12 +0200

zbar (0.10+doc-5) unstable; urgency=low

  * [2801e55f] Use the new dh_authtoolsdev-* helper to update config.*
  * [906f5a10] Use dh-autoreconf to rebuild configure and friends.
    Thanks to Peter Fritzsche (Closes: #558539)
  * [a3042424] Use quilt to apply patches.
  * [35182c3a] Description: Linux 2.6.38 and later do not support the v4l1 API.
    Add patch to migrate to using the libv4l library to abstract the
    access to Linux video devices, instead.
    Patch taken from the upstream bug tracker.
    Also add libv4l-dev as build-dependency.
    Thanks to Steve Langasek (Closes: #620220)
  * [425b9ce6] Fixing typo in the long description of python-zbar.
    Thanks to Davide Prina (Closes: #617942)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 01 Apr 2011 01:05:18 +0200

zbar (0.10+doc-4) unstable; urgency=low

  * [abdd6f9f] Use better dependencies for zbar-dbg.
  * [5c639854] Remove conflicts of libzbar-dev. libzbar replaced zebra
    in directory names by zbar, so clashes with quagga and libpacklib1-
    dev are avoided. So there is no need to conflict against the
    packages anymore.
  * [75f615f2] Use Breaks instead of Conflicts as suggested by lintian.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 28 Aug 2010 15:01:46 +0200

zbar (0.10+doc-3) unstable; urgency=low

  * [6b190c39] Enable VfL only on Linux instead of excluding kfreebsd
    only. (Closes: #585082) - thanks to Samuel Thibault
  * [da42c117] Update libzbarqt0 symbol files to newer dpkg-dev
    features. As symbols seem to appear/disappear depending on the
    version of QT and/or the compiler, I've relaxed the check for
    changed symbols to stop complaining at all for libzbarqt0. I'll
    update the symbols files manually when needed. (Closes: #584773) -
    thanks to Loïc Minier
  * [94ac49b6] Add missing dependency to the perl/Makefile target in
    debian/rules. This should allow to build with -j again. (Closes:
    #584758) - thanks to Loïc Minier

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 09 Jun 2010 17:08:07 +0200

zbar (0.10+doc-2build1) maverick; urgency=low

  * Release for Ubuntu. 0.10+doc-2 FTBFS there due to default LDFLAGS
    which were passed on to Perl's MakeMaker.
  * [b0066775] Fix spelling error in changelog. Thanks lintian.
  * [6ddbfe0d] Ensure only -L options are passed as LIBS to Perl's
    MakeMaker.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 May 2010 22:25:18 +0200

zbar (0.10+doc-2) unstable; urgency=low

  * [1806e6cd] Copy libzbarqt0.symbols for each architecture.
  * [8d172f95] Disable video support on kfreebsd.
  * [63b87cf4] Don't list binaries for zbar-tools explicitly. zbarvideo
    is not being built on kfreebsd, so we should not try to install it
    there.
  * [14e36c30] Don't rename debug extensions if they were renamed
    already.
  * [650fa88e] Fix libzbarqt0.symbols for various architectures - thanks
    C++.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 25 May 2010 17:37:52 +0200

zbar (0.10+doc-1) unstable; urgency=low

  * Import full upstream source including the doc folder and drop
    the dfsg part in the version (using +doc now as we need a version

