## zbar 0.10+doc

=== debian/changelog ===
zbar (0.10+doc-4ubuntu2) natty; urgency=low

  * debian/patches/zbar_use_libv4l.patch: rerun autoreconf with a full set
    of macro dependencies installed, so we don't fail the build with syntax
    errors in configure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Mar 2011 15:49:26 +0000

zbar (0.10+doc-4ubuntu1) natty; urgency=low

  * debian/patches/zbar_use_libv4l.patch: the v4l1 API has been dropped
    completely in Linux 2.6.38, so move to using libv4l instead; patch
    courtesy of Mauro Carvalho Chehab.  LP: #724997.
  * debian/control: add build-dependency on libv4l-dev.
  * debian/source/format: switch to format 3.0 (quilt)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Mar 2011 05:20:40 +0000

zbar (0.10+doc-4build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:17:28 +0000
