## zbar 0.10-maemo1

=== debian/changelog ===
zbar (0.10-maemo1) unstable; urgency=low

  * Build using mud-builder by simon

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Thu,  24 Oct 2009 20:45:00 +0100

zbar (0.9-maemo1) unstable; urgency=low

  * Build using mud-builder by simon

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Thu,  3 Sep 2009 09:26:08 +0100

zbar (0.9) unstable; urgency=low

  * Initial Release.

 -- MUD Build Team <mud-builder-users@garage.maemo.org>  Thu,  3 Sep 2009 09:26:07 +0100
