=== debian/control ===
Source: zbar
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: user/utilities
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: debhelper (>= 5), autotools-dev, python-dev
Standards-Version: 3.6.1

Package: zbar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 
  Software suite for reading bar codes ZBar is an open source software
  suite for reading bar codes from various sources, such as video streams,
  image files and raw intensity sensors. It supports many popular
  symbologies (types of bar codes) including EAN-13/UPC-A, UPC-E, EAN-8,
  Code 128, Code 39 and Interleaved 2 of 5.
