## zbar 0.10-maemo2

=== debian/changelog ===
zbar (0.10-maemo2) unstable; urgency=low

  * Enable Qt, GTK+, Python wrappers/plugins and produce individual packages

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri,  27 Nov 2009 10:17:00 +0000
