=== debian/control ===
Source: zbar
Uploaders: Simon Pickering <S.G.Pickering@bath.ac.uk>
Section: libs
Priority: extra
Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libx11-dev, pkg-config, python-dev, python-gtk2-dev
Standards-Version: 3.6.1

Package: zbar-tools
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0 (= ${binary:Version})
Description: scanning and decoding bar codes (utilities)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains basic applications for decoding captured bar code images
 and using a video4linux device (e.g. webcam) as a bar code scanner.

Package: zbar-dbg
Priority: extra
Section: debug
Architecture: any
Depends: zbar-tools (= ${binary:Version}), libzbar0 (= ${binary:Version}), libzbar-dev (= ${binary:Version}), python-zbarpygtk (= ${binary:Version}), libzbargtk0 (= ${binary:Version}), libzbargtk-dev (= ${binary:Version}), libzbarqt0 (= ${binary:Version}), libzbarqt-dev (= ${binary:Version})
Description: scanning and decoding bar codes (debug)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the debugging symbols.

Package: libzbar0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: scanning and decoding bar codes (library)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the library.

Package: libzbar-dev
Section: libdevel
Architecture: any
Depends: libzbar0 (= ${binary:Version}), libx11-dev
Conflicts: libpacklib1-dev, quagga
Description: scanning and decoding bar codes (development)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the development files.

Package: python-zbarpygtk
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0 (= ${binary:Version}), python-gtk2
Description: scanning and decoding bar codes (PyGTK bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This packagein contains the PyGTK bindings.

Package: libzbargtk0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0 (= ${binary:Version})
Description: scanning and decoding bar codes (GTK+ bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the GTK+ bindings.

Package: libzbargtk-dev
Section: libdevel
Architecture: any
Depends: libzbargtk0 (= ${binary:Version}), libgtk2.0-dev
Description: scanning and decoding bar codes (GTK+ bindings development)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the development files for the GTK+ bindings.

Package: libzbarqt0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0 (= ${binary:Version})
Description: scanning and decoding bar codes (Qt bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the Qt bindings.

Package: libzbarqt-dev
Section: libdevel
Architecture: any
Depends: libzbarqt0 (= ${binary:Version}), libqt4-dev
Description: scanning and decoding bar codes (Qt bindings development)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports EAN,
 UPC, Code 128, Code 39 and Interleaved 2 of 5.
 .
 This package contains the development files for the Qt bindings.
