=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+DEB_DH_INSTALL_SOURCEDIR := debian/zbar
 
 CFLAGS = -Wall -g
 
@@ -27,7 +28,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --prefix=/usr --without-imagemagick --without-qt --without-gtk --without-xv --disable-video PYTHON_LIBS=" -lpython2.5 -ldl -lutil -lm"
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --prefix=/usr --without-imagemagick PYTHON_LIBS=" -lpython2.5 -ldl -lutil -lm"
       
 #PYTHON_LIBS="-lpython -ldl -lutil -lm -lpython2.5"
 
@@ -77,27 +78,13 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installchangelogs ChangeLog
-#	dh_installdocs
-#	dh_installexamples
-	dh_install --sourcedir=debian/tmp
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_installman
-	dh_link
-	dh_strip
+	dh_installchangelogs ChangeLog
+	dh_installdocs
+	dh_install --sourcedir=$(CURDIR)/debian/zbar
+	dh_strip --dbg-package=zbar-dbg
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
