## zbar 0.10-maemo3

=== debian/changelog ===
zbar (0.10-maemo3) unstable; urgency=low

  * Fix Debian build deps

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Fri,  27 Nov 2009 12:40:00 +0000
