=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
-Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libx11-dev, pkg-config, python-dev, python-gtk2-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libx11-dev, pkg-config, python-dev | python2.5-dev, python-gtk2-dev | python2.5-gtk2-dev
 Standards-Version: 3.6.1
 
 Package: zbar-tools
