## zbar 0.10-maemo4

=== debian/changelog ===
zbar (0.10-maemo4) unstable; urgency=low

  * Add Conflicts and Replaces lines to control file to avoid problems with previous zbar package

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Mon, 1 Dec 2009 00:18:00 +0000
