=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Section: libs
 Priority: extra
 Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
-Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libx11-dev, pkg-config, python-dev | python2.5-dev, python-gtk2-dev | python2.5-gtk2-dev
+Build-Depends: debhelper (>= 5), autotools-dev, libqt4-dev, libx11-dev, pkg-config, python-dev | python2.5-dev, python-gtk2-dev | python2.5-gtk2-dev, libgtk2.0-dev
 Standards-Version: 3.6.1
 
 Package: zbar-tools
 Section: graphics
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0 (= ${binary:Version})
+Conflicts: zbar
+Replaces: zbar
 Description: scanning and decoding bar codes (utilities)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports EAN,
@@ -23,6 +25,8 @@
 Section: debug
 Architecture: any
 Depends: zbar-tools (= ${binary:Version}), libzbar0 (= ${binary:Version}), libzbar-dev (= ${binary:Version}), python-zbarpygtk (= ${binary:Version}), libzbargtk0 (= ${binary:Version}), libzbargtk-dev (= ${binary:Version}), libzbarqt0 (= ${binary:Version}), libzbarqt-dev (= ${binary:Version})
+Conflicts: zbar
+Replaces: zbar
 Description: scanning and decoding bar codes (debug)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports EAN,
@@ -34,6 +38,8 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: zbar
+Replaces: zbar
 Description: scanning and decoding bar codes (library)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports EAN,
@@ -45,7 +51,8 @@
 Section: libdevel
 Architecture: any
 Depends: libzbar0 (= ${binary:Version}), libx11-dev
-Conflicts: libpacklib1-dev, quagga
+Conflicts: libpacklib1-dev, quagga, zbar
+Replaces: zbar
 Description: scanning and decoding bar codes (development)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports EAN,
@@ -57,6 +64,8 @@
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libzbar0 (= ${binary:Version}), python-gtk2
+Conflicts: zbar
+Replaces: zbar
 Description: scanning and decoding bar codes (PyGTK bindings)
  ZBar is a library for scanning and decoding bar codes from various sources
  such as video streams, image files or raw intensity sensors. It supports EAN,
