## zbar 0.21

=== debian/changelog ===
zbar (0.21-3) unstable; urgency=medium

  * QA upload.
  * debian/patches:
    + Replace custom codespell typo fix patches with upstream
      applied one.
    + Cherry-pick upstream patches till 20190215 to fix grammar
      error in configure.ac script.
  * debian/control:
    + Mark libbarcode-zbar-perl, python-zbar and python-zbarpygtk
      as Multi-Arch: same. (Closes: #812954)
  * New zbarcam is no longer crashing. (Closes: #762209)

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Feb 2019 10:35:13 -0500

zbar (0.21-2) unstable; urgency=medium

  * QA upload.
  * debian/zbar-tools.install: Use dh-exec again to selectively
    install zbarcam for linux-any only.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Feb 2019 18:58:42 -0500

zbar (0.21-1) unstable; urgency=medium

  * QA upload.
  * Upload onto unstable.
  * debian/control: Update homepage with current GitHub project.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Feb 2019 18:32:38 -0500

zbar (0.21-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release 0.21.
  * debian/watch: Monitor new upstream on GitHub.
  * debian/control:
    - Drop build-dependency on dh-exec, no longer necessary.
  * debian/gbp.conf: Disable gbp-import-orig postimport hook,
    it is useless now.
  * debian/rules:
    + Completely rewrite and use the dh sequencer.
    + use override_dh_strip to generate automatic debug packages.
  * debian/patches:
    - Drop all patches, merged or fixed upstream.
    + Cherry-pick upstream fixes on stable-0.21 branch
      till 20190214.
    + Add a patch to fix typos found by codespell.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Feb 2019 15:51:03 -0500

zbar (0.10+doc-11) unstable; urgency=medium

  * QA upload.
  * Orphan the package and set maintainer to Debian QA Group.
  * debian/control:
    + Build-depend on debhelper-compat (= 12) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.
    + Use Rules-Requires-Root: no.
    + Replace obsoleted Priority: extra with optional.
    - Do not build Qt4 library anymore. (Closes: #875246)
  * debian/symbols: Add Build-Depends-Package field. (lintian)
  * debian/rules:
    + Enable full hardening.
    + Minor adjust to debhelper sequences to suit debhelper compat
      v12.
  * debian/gbp.conf: Update instructions to fit current git repo
    setup.
  * debian/patches:
    + Add a patch to rename custom dprintf macro to zbar_dprintf
      to prevent naming conflict.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Feb 2019 14:26:34 -0500
