=== debian/control ===
Source: zbar
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 libdbus-1-dev,
 libgtk2.0-dev,
 libjpeg-dev,
 libmagick++-dev,
 libqt5x11extras5-dev,
 libv4l-dev [linux-any],
 libx11-dev,
 perl,
 pkg-config,
 python-all-dbg (>= 2.6.6-3~),
 python-all-dev (>= 2.6.6-3~),
 python-gtk2-dev,
 qtbase5-dev,
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/mchehab/zbar
Vcs-Git: https://salsa.debian.org/debian/zbar.git
Vcs-Browser: https://salsa.debian.org/debian/zbar

Package: libbarcode-zbar-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: bar code scanner and decoder (Perl bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the Perl bindings and the Barcode::Zbar module.

Package: libzbar-dev
Section: libdevel
Architecture: any
Depends:
 libmagick++-dev,
 libx11-dev,
 libzbar0 (= ${binary:Version}),
 ${misc:Depends},
Description: bar code scanner and decoder (development)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the development files.

Package: libzbar0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: bar code scanner and decoder (library)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the library.

Package: libzbargtk-dev
Section: libdevel
Architecture: any
Depends:
 libgtk2.0-dev,
 libzbar-dev (= ${binary:Version}),
 libzbargtk0 (= ${binary:Version}),
 ${misc:Depends},
Description: bar code scanner and decoder (GTK+ bindings development)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the development files for the GTK+ bindings.

Package: libzbargtk0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libzbar0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: bar code scanner and decoder (GTK+ bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the GTK+ bindings.

Package: python-zbar
Section: python
Architecture: any
Multi-Arch: same
Replaces:
 python-zbarpygtk (<< 0.10+doc),
Breaks:
 python-zbarpygtk (<< 0.10+doc),
Depends:
 libzbar0 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: bar code scanner and decoder (Python bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the Python bindings.

Package: python-zbarpygtk
Section: python
Architecture: any
Multi-Arch: same
Depends:
 libzbar0 (= ${binary:Version}),
 python-gtk2,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: bar code scanner and decoder (PyGTK bindings)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains the PyGTK bindings.

Package: zbar-tools
Section: graphics
Architecture: any
Depends:
 libzbar0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: bar code scanner and decoder (utilities)
 ZBar is a library for scanning and decoding bar codes from various sources
 such as video streams, image files or raw intensity sensors. It supports
 EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
 .
 This package contains basic applications for decoding captured bar code images
 and using a video4linux device (e.g. webcam) as a bar code scanner.
