## zbar 0.23

=== debian/changelog ===
zbar (0.23-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Drop unused Build-Depends on python-gtk2-dev (Closes: 885473)
  * Clean up python3 Build-Depends

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 22:20:05 -0400

zbar (0.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild for a source-only upload.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/patches:
    + Refactor previous perl shabang patch to merge them together.
    + Backport upstream patch to fix iconv-related unexpected abort.
  * debian/libzbargtk0.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Jul 2019 17:01:39 -0400

zbar (0.23-1) unstable; urgency=medium

  * New upstream version.
  * New maintainer. (Closes: #898078)
  * Drop pygtk, python2 support. (Closes: #885473)
  * Add python3 support. (Closes: #888303)
  * debian/clean: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 May 2019 09:22:12 +0200
