=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: zbar
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends:
  debhelper-compat (= 12),
  dh-exec,
- dh-python,
+ dh-sequence-python3,
  libdbus-1-dev,
  libgtk2.0-dev,
  libjpeg-dev,
@@ -15,13 +15,13 @@
  libx11-dev,
  perl,
  pkg-config,
- python-all-dbg (>= 2.6.6-3~),
- python-all-dev (>= 2.6.6-3~),
- python-gtk2-dev,
+ python3-dev:any,
  qtbase5-dev,
  xmlto,
+ libgtk-3-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+X-Python3-Version: >= 3.6
+Standards-Version: 4.4.0
 Homepage: https://github.com/mchehab/zbar
 Vcs-Git: https://salsa.debian.org/debian/zbar.git
 Vcs-Browser: https://salsa.debian.org/debian/zbar
@@ -104,7 +104,7 @@
  .
  This package contains the GTK+ bindings.
 
-Package: python-zbar
+Package: python3-zbar
 Section: python
 Architecture: any
 Multi-Arch: same
@@ -115,7 +115,7 @@
 Depends:
  libzbar0 (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: bar code scanner and decoder (Python bindings)
  ZBar is a library for scanning and decoding bar codes from various sources
@@ -123,23 +123,6 @@
  EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
  .
  This package contains the Python bindings.
-
-Package: python-zbarpygtk
-Section: python
-Architecture: any
-Multi-Arch: same
-Depends:
- libzbar0 (= ${binary:Version}),
- python-gtk2,
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: bar code scanner and decoder (PyGTK bindings)
- ZBar is a library for scanning and decoding bar codes from various sources
- such as video streams, image files or raw intensity sensors. It supports
- EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
- .
- This package contains the PyGTK bindings.
 
 Package: zbar-tools
 Section: graphics
